ONVIF::Media::Types::MetadataInput(3pm)

NAME
ONVIF::Media::Types::MetadataInput

DESCRIPTION
Perl data type class for the XML Schema defined complexType MetadataInput from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   MetadataConfig

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::MetadataInput
   MetadataConfig =>  { # ONVIF::Media::Types::Config
     Parameters =>  { # ONVIF::Media::Types::ItemList
       SimpleItem => ,
       ElementItem =>  {
       },
       Extension =>  { # ONVIF::Media::Types::ItemListExtension
       },
     },
   },
   Extension =>  { # ONVIF::Media::Types::MetadataInputExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL